<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">

    <!-- parameters: -->
    <ui:param name="reporter" value="#{validationResultBeanGui.reporter}"/>
    <s:div styleClass="row" id="#{reporter.id}NoResult" rendered="#{validationResultBeanGui.detailedResult == null}">
        <s:div styleClass="col-md-9">
            <h:outputText value="#{messages['net.ihe.gazelle.evs.NotAvailable']}"/>
        </s:div>
    </s:div>
    <s:div styleClass="row" id="#{reporter.id}Result" rendered="#{validationResultBeanGui.detailedResult != null}">
        <s:div styleClass="col-md-9">
            <h:outputText value="#{validationResultBeanGui.getTransformedDetailedResult(prettyView)}"
                          escape="false"/>
        </s:div>
        <!-- TODO ONLY FOR MBV AND CDA ? -->
        <s:div styleClass="col-md-3" id="#{reporter.id}ResultTree"
               rendered="#{validationResultBeanGui.selectedObject.validationType.name().equals('CDA')}">
            <s:div id="#{reporter.id}ResultNoTreeInfo"
                   rendered="#{not validationResultBeanGui.isTemplateTreeAvailable()}"
                   styleClass="gzl-alert gzl-alert-orange">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.evsclient.NoTemplateDescriptionFoundForThatTreeOfTemplates']}"/>
            </s:div>
            <s:div id="#{reporter.id}ResultTreeOfTemplatesDiv"
                   rendered="#{validationResultBeanGui.isTemplateTreeAvailable()}">
                <s:div styleClass="gzl-alert gzl-alert-blue">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.evsclient.TreeOfTheTemplatesUsedInThisDocument']}"/>
                    <br/>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.EVSClient-ui.ClickOnTemplateIDToFilterTheListOfNotifications']}"
                            rendered="#{validationResultBeanGui.showTemplates}"
                            style="font-weight: bold;"/>
                </s:div>
                <s:decorate template="/layout/form/_checkbox.xhtml">
                    <h:selectBooleanCheckbox
                            value="#{validationResultBeanGui.showTemplates}">
                        <a4j:ajax event="change" render="#{reporter.id}ResultTree"/>
                    </h:selectBooleanCheckbox>
                    #{messages['net.ihe.gazelle.EVSClient-ui.ShowTemplatesexperimental']}
                </s:decorate>

                <s:decorate template="/layout/display/_display.xhtml" style="display:none;">
                    <ui:define name="label">#{messages['net.ihe.gazelle.evs.XSLStyleSheet']}</ui:define>
                    <h:selectOneMenu id="stylesheetSelectMenu"
                                     value="#{validationResultBeanGui.selectedStylesheetName}"
                                     styleClass="form-control gzl-form-control gzl-select-text"
                                     style="display:none;"
                                     hideNoSelectionOption="false">
                        <f:selectItems value="#{validationResultBeanGui.getReferencedStandardStylesheets()}"/>
                        <a4j:ajax event="change" render="#{reporter.id}ResultTreeTemp"
                                  execute="@this"/>
                    </h:selectOneMenu>
                </s:decorate>

                <rich:tree id="#{reporter.id}ResultTreeTemp"
                           value="#{validationResultBeanGui.getListTemplatesArchitecture()}"
                           var="node" rendered="#{validationResultBeanGui.showTemplates}"
                           styleClass="templateTree"
                           execute="@this"
                           nodeType="#{node.data.class.simpleName}"
                           toggleType="client"
                           selectionType="ajax">
                    <rich:treeNode type="Template"
                                   iconClass="#{validationResultBeanGui.getIconClassForTemplate(node.data)}"
                                   style="cursor:pointer;"
                                   expanded="#{true}"
                                   width="15" height="15"
                                   onclick="filterOnSelectedTemplate('#{node.data.location}', this)">
                        <s:div style="vertical-align:top;">
                            <dl style="margin-bottom:0px">
                                <a4j:repeat value="#{node.data.templateId}" var="var">
                                    <dd>
                                        <h:outputText
                                                value="#{var.id}- #{messages['net.ihe.gazelle.evs.UNKNOWN']}"
                                                style="color:grey;"
                                                rendered="#{var.name.equals('UNKNOWN')}"/>
                                        <h:outputText value="#{var.id} - #{var.name}"
                                                      style="color:black;"
                                                      rendered="#{!var.name.equals('UNKNOWN')}"/>
                                    </dd>
                                </a4j:repeat>
                            </dl>
                        </s:div>
                    </rich:treeNode>
                </rich:tree>
            </s:div>
        </s:div>
    </s:div>
</ui:composition>